Skip to main content
PATCH
Error

Authorizations

X-API-Key
string
header
required

Path Parameters

webhook_id
string<uuid>
required

Body

application/json

Schema for updating a prompt webhook.

include_prompts
string<uuid>[] | null
exclude_prompts
string<uuid>[] | null
url
string<uri> | null
Minimum string length: 1
headers
Headers · object | null
triggers
enum<string>[] | null

Valid trigger types for prompt webhooks.

Available options:
commit,
tag:create,
tag:update

Response

Successful Response

Schema for a prompt webhook.

url
string<uri>
required
Minimum string length: 1
id
string<uuid>
required
tenant_id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
headers
Headers · object | null
include_prompts
string<uuid>[] | null
exclude_prompts
string<uuid>[] | null
triggers
enum<string>[]

Valid trigger types for prompt webhooks.

Available options:
commit,
tag:create,
tag:update